Subject: Re: [AVT] editorial comments for draft-ietf-avt-rtp-svc-07, section 3.2

From: "Even, Roni" <[email-masked]>
Date: Tue, 19 Feb 2008 13:58:30 +0200

Hi Ye-Kui,
I think that the purpose of the design team is give feedback to the
authors about the quality of the solution and the text. 
 I read this section and I can understand why it will look confusing. I
think I understand it but have some comments

1. About the term "layer representation", I suggest to break the first
sentence at the comma, maybe it will make it clearer.

2. In section 3.2 I tried to mark the different usage of parameter sets
and found the following, in order of appearnce
 
2.1 Sequence parameter set
2.2 Subset sequence parameter set
2.3 picture parameter set
2.4 Layer sequence parameter set (you have active sequence parameter set
and active layer sequence parameter set).

At least layer sequence parameter set is not clear to me.

In the email you use PPS and SPS. PPS is not defined in the document
while SPS is used but not defined

Thanks
Roni

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Thursday, February 07, 2008 12:31 PM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]; Even, Roni;
> [email-masked]; [email-masked]
> Subject: RE: [AVT] editorial comments for draft-ietf-avt-rtp-svc-07,
> Sections 1-3
> 
> 
> The definition of layer representation (copied below) is a one of the
> fundamental concepts that you must understand clearly to understand
the
> entire SVC coding specification and the SVC payload draft as well. I
> copy it below.
> 
> "layer representation:  A subset of VCL NAL units within an access
unit
> that are associated with the same values of the dependency_id and
> quality_id syntax elements, which are provided as part of the VCL NAL
> unit header or by an associated prefix NAL unit.  One or more layer
> representations represent a dependency representation. "
> 
> BR, YK
> 
> >-----Original Message-----
> >From: ext Alex Eleftheriadis [mailto:[email-masked]]
> >Sent: Thursday, February 07, 2008 11:18 AM
> >To: Wang Ye-Kui (Nokia-NRC/Tampere)
> >Cc: [email-masked]; [email-masked];
> >[email-masked]; [email-masked]; [email-masked]
> >Subject: Re: [AVT] editorial comments for
> >draft-ietf-avt-rtp-svc-07, Sections 1-3
> >
> >My understanding is that PPSs can change from one picture to
> >the next. Consequently, while there is a a single active SPS,
> >there can be several PPS around. The concept of "layer
> >representation" extends over time, so that's why the sentence is
wrong.
> >
> >--A (recovering from flu...)
> >
> >
> >On Feb 6, 2008, at 2:19 PM, <[email-masked]> wrote:
> >
> >>
> >> The intention was for PPS.  Maybe we can add a couple of
> >sentences to
> >> improve the description of PPS. But why the sentence is wrong?
> >>
> >> BR, YK
> >>
> >>
> >>> -----Original Message-----
> >>> From: ext Gary Sullivan [mailto:[email-masked]]
> >>> Sent: Wednesday, February 06, 2008 12:54 AM
> >>> To: Alex Eleftheriadis
> >>> Cc: [email-masked]; Even, Roni; [email-masked];
> >>> [email-masked]; Wang Ye-Kui (Nokia-NRC/Tampere)
> >>> Subject: RE: [AVT] editorial comments for
> >draft-ietf-avt-rtp-svc-07,
> >>> Sections 1-3
> >>>
> >>> +> BTW, is the ending statement: "The active picture parameter set
> >>> +> remains unchanged within a layer representation." correct?
> >>> I am not sure.
> >>>
> >>> Sounds wrong to me.  Perhaps if it was about the SPS rather
> >than the
> >>> PPS?
> >>>
> >>> -G.
> >>>
_______________________________________________
Audio/Video Transport Working Group
[email-masked]
http://www.ietf.org/mailman/listinfo/avt